Page MenuHomePhabricator

Acquire normalized and recurring WMF calendar event for Phabricator updates / maintenance
Closed, ResolvedPublic

Description

Ideally, 30 minutes weekly that are reserved. I have pinged @greg and and emailed him to this effect. We currently have a backlog of upstream things we want to get locally here, and that doesn't even include our completely local stuff like Sprint.

Communication:

Event Timeline

chasemp created this task.Dec 2 2014, 10:06 PM
chasemp raised the priority of this task from to Needs Triage.
chasemp updated the task description. (Show Details)
chasemp added a project: Phabricator.
chasemp changed Security from none to None.
chasemp added a subscriber: chasemp.
chasemp triaged this task as Medium priority.Dec 2 2014, 10:10 PM
chasemp added a subscriber: greg.Dec 2 2014, 10:26 PM
Qgil added a subscriber: Qgil.Dec 3 2014, 10:17 AM

Which 30 minute slot are you thinking of? Would it be always the same slot, or depending? Do you plan to use it regularly, or would we be booking the option to do it?

Syncing this with Greg's deployments weekly newsletter is a good idea. This and a notice in the homepage will save us regular notifications to wikitech-l.

In T76522#806313, @Qgil wrote:

Which 30 minute slot are you thinking of? Would it be always the same slot, or depending? Do you plan to use it regularly, or would we be booking the option to do it?
Syncing this with Greg's deployments weekly newsletter is a good idea. This and a notice in the homepage will save us regular notifications to wikitech-l.

I requested something semi-sane for UTC-6 and UTC-8. My thought is to have a block reserved weekly for needed Phabricator actions at the same time each week. We would probably use it once or twice a month, but it's there and expected in case either way. Rarely can we not wait a week, and if it's more urgent it wouldn't be something we waited to announce anyway.

Qgil moved this task from To Triage to Doing on the Phabricator board.Dec 4 2014, 1:25 PM
greg added a comment.Dec 4 2014, 7:25 PM

Just chatted with Chase on IRC. Wednesdays at 7am Pacific. Will be in next week's calendar (and on-going).

chasemp added a subscriber: Legoktm.Dec 4 2014, 7:27 PM

@Legoktm we should get your stuff in then. Sorry more wait, it's all schedule shuffling :)

@Qgil, how best can we make this known?

Thanks @greg

Qgil updated the task description. (Show Details)Dec 4 2014, 10:53 PM
Qgil added a comment.Dec 4 2014, 11:02 PM

See description. Also, what do you think about https://phab-01.wmflabs.org/ ?

Qgil updated the task description. (Show Details)Dec 8 2014, 9:32 AM
Qgil updated the task description. (Show Details)
Qgil added a comment.Dec 8 2014, 9:35 AM

Alright, maybe we don't need the countdown for the weekly maintenance breaks.

I have added a panel to the homepage, and a section here: https://www.mediawiki.org/wiki/Phabricator#Weekly_update_.2F_maintenance_window

@Aklapper, can you continue with the communication, as part of the regular process for communicating service interruptions?

Qgil added a comment.Dec 8 2014, 8:57 PM

T77082 is useful. What about this: after a new upgrade has been completed, a new task for the next upgrade can be created (even if the date is not known yet). This way we can add it as blocker of the tasks that have been fixed upstream, and whatever else is waiting for the update.

we could have a generic next upgrade task, or make a project to mark these tasks blocked by upgrade. In practice we don't always know how far up to the chain we can go because things in HEAD could be contentious and/or needing more review. But yeah in general sounds sane.

Qgil closed this task as Resolved.Dec 11 2014, 7:04 AM
Qgil claimed this task.

Created: T78243: Phabricator upgrade on 2015-01-14

As far as I can tell, yesterday's upgrade was quite seamless for users, or a least I haven't seen any complaints. It seems that the system works. Resolving this task.